Subject: Re: [PATCH 2/2] git-add -a: add all files

From: Junio C Hamano <[email-masked]>
Date: Sun, 20 Jul 2008 17:06:41 -0700

Jeff King <[email-masked]> writes:

> But again, I haven ever felt the lack of this feature; such usage for me
> always goes in scripts, where I am more than happy to write out "add .
> && add -u && commit".

The reason we did not have such "feature" so far was not because somebody
high in the git foodchain was opposed to the idea, but simply because
nobody came up with a usable patch to do so.

I do not have anything fundamentally against "add -A" nor "commit -A".  To
me, this is in "perhaps nice to have for some people, but I would not use
it myself and I wouldn't bother" category, not in "I'm opposed -- it would
promote bad workflow" cateogry.